Need help to Generate Xpath

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Need help to Generate Xpath

ashish b lal

button id="activateplanbutton" class="btn btn-primary btn-block btn-lg spacer-top-xs" ng-disabled="PCtrl.buttonDisabled" ng-click="PCtrl.submitPaymentForm()" type="submit">
--
Hope to hear soon from you.
    
Thanks & Regards,
Ashish.B.LAL

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/CAA9WrsxcQu55P7zObVhnEXiKGGzNT38fXLPD7P4-oikWobFZvA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Need help to Generate Xpath

riponalwasim
The element has ID, so it's better to use ID. Why do you want to use XPath? Anyway, the XPath should be --

//button[@id='activateplanbutton']

or,

//button[@class='btn btn-primary btn-block btn-lg spacer-top-xs']

On Mon, Nov 20, 2017 at 2:31 AM, Ashish b lal <[hidden email]> wrote:

button id="activateplanbutton" class="btn btn-primary btn-block btn-lg spacer-top-xs" ng-disabled="PCtrl.buttonDisabled" ng-click="PCtrl.submitPaymentForm()" type="submit">
--
Hope to hear soon from you.
    
Thanks & Regards,
Ashish.B.LAL

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/CAA9WrsxcQu55P7zObVhnEXiKGGzNT38fXLPD7P4-oikWobFZvA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/CADrmqWUiLVjCfzWZK%2BXNR89_2UcJxdkzKDkmQozjhD82xWwd1g%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Need help to Generate Xpath

oleksandr.kulychok
//button[@class='btn btn-primary btn-block btn-lg spacer-top-xs']
2nd variant is not good because of exact comparison to class-list.  List of classes can be changed any time with javascript etc




понедельник, 20 ноября 2017 г., 13:53:10 UTC+2 пользователь Ripon Al Wasim написал:
The element has ID, so it's better to use ID. Why do you want to use XPath? Anyway, the XPath should be --

//button[@id='activateplanbutton']

or,

//button[@class='btn btn-primary btn-block btn-lg spacer-top-xs']

On Mon, Nov 20, 2017 at 2:31 AM, Ashish b lal <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="PQFmCcTwCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">stryke...@...> wrote:

button id="activateplanbutton" class="btn btn-primary btn-block btn-lg spacer-top-xs" ng-disabled="PCtrl.buttonDisabled" ng-click="PCtrl.submitPaymentForm()" type="submit">
--
Hope to hear soon from you.
    
Thanks & Regards,
Ashish.B.LAL

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="PQFmCcTwCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">selenium-user...@googlegroups.com.
To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="PQFmCcTwCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">seleniu...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/selenium-users/CAA9WrsxcQu55P7zObVhnEXiKGGzNT38fXLPD7P4-oikWobFZvA%40mail.gmail.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/selenium-users/CAA9WrsxcQu55P7zObVhnEXiKGGzNT38fXLPD7P4-oikWobFZvA%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/selenium-users/CAA9WrsxcQu55P7zObVhnEXiKGGzNT38fXLPD7P4-oikWobFZvA%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/selenium-users/CAA9WrsxcQu55P7zObVhnEXiKGGzNT38fXLPD7P4-oikWobFZvA%40mail.gmail.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/0251d032-bcdc-415d-90da-5889d0d76043%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Google chrome driver

Veena K
In reply to this post by ashish b lal
Hi All,

Am using selenium - 3.6.0,Google chrome browser :Version 62.0.3202.94
which version google chrome driver i should install...presently am using version v2.9.248315 ,which is throwing error "You are using unsupported command line flag".

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Google chrome driver

⇜Krishnan Mahadevan⇝
Veena,

You should always be able to find the latest chromedriver from here : https://sites.google.com/a/chromium.org/chromedriver/downloads

Latest one currently is : 2.33

Thanks & Regards
Krishnan Mahadevan

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"
My Scribblings @ http://wakened-cognition.blogspot.com/
My Technical Scribbings @ http://rationaleemotions.wordpress.com/

On Mon, Dec 4, 2017 at 12:41 PM, Veena K <[hidden email]> wrote:
Hi All,

Am using selenium - 3.6.0,Google chrome browser :Version 62.0.3202.94
which version google chrome driver i should install...presently am using version v2.9.248315 ,which is throwing error "You are using unsupported command line flag".

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/CANikZLn-v7QFMwfnohxR0ZRZrB1V6O54Zs5sfsqP%3DDyGpzDz0g%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Google chrome driver

Veena K
Thanks Krishnan ....it is working now....

On Monday, December 4, 2017 at 12:45:19 PM UTC+5:30, Krishnan Mahadevan wrote:
Veena,

You should always be able to find the latest chromedriver from here : <a href="https://sites.google.com/a/chromium.org/chromedriver/downloads" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fsites.google.com%2Fa%2Fchromium.org%2Fchromedriver%2Fdownloads\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNE6drHP_0Vl6PKUAaKF_pziDhxMyA&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fsites.google.com%2Fa%2Fchromium.org%2Fchromedriver%2Fdownloads\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNE6drHP_0Vl6PKUAaKF_pziDhxMyA&#39;;return true;">https://sites.google.com/a/chromium.org/chromedriver/downloads

Latest one currently is : 2.33

Thanks & Regards
Krishnan Mahadevan

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"
My Scribblings @ <a href="http://wakened-cognition.blogspot.com/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwakened-cognition.blogspot.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHzOdYJCASIDF_28vQtkp9gnKAYSQ&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwakened-cognition.blogspot.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHzOdYJCASIDF_28vQtkp9gnKAYSQ&#39;;return true;">http://wakened-cognition.blogspot.com/
My Technical Scribbings @ <a href="http://rationaleemotions.wordpress.com/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frationaleemotions.wordpress.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEcBOKyRn0lpL8LDbBuyAlKdwgXwQ&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frationaleemotions.wordpress.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEcBOKyRn0lpL8LDbBuyAlKdwgXwQ&#39;;return true;">http://rationaleemotions.wordpress.com/

On Mon, Dec 4, 2017 at 12:41 PM, Veena K <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="w2IS9f0sBwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">veena...@...> wrote:
Hi All,

Am using selenium - 3.6.0,Google chrome browser :Version 62.0.3202.94
which version google chrome driver i should install...presently am using version v2.9.248315 ,which is throwing error "You are using unsupported command line flag".

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="w2IS9f0sBwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">selenium-user...@googlegroups.com.
To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="w2IS9f0sBwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">seleniu...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/94c1fc93-559c-456d-b9e8-35367b92d933%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Google chrome driver

Veena K
Hi All,

which is the version of FireBug that can be used for the browser Firefox Quantum (version 57.0.1)



On Mon, Dec 4, 2017 at 12:59 PM, Veena K <[hidden email]> wrote:
Thanks Krishnan ....it is working now....

On Monday, December 4, 2017 at 12:45:19 PM UTC+5:30, Krishnan Mahadevan wrote:
Veena,

You should always be able to find the latest chromedriver from here : https://sites.google.com/a/chromium.org/chromedriver/downloads

Latest one currently is : 2.33

Thanks & Regards
Krishnan Mahadevan

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"
My Scribblings @ http://wakened-cognition.blogspot.com/
My Technical Scribbings @ http://rationaleemotions.wordpress.com/

On Mon, Dec 4, 2017 at 12:41 PM, Veena K <[hidden email]> wrote:
Hi All,

Am using selenium - 3.6.0,Google chrome browser :Version 62.0.3202.94
which version google chrome driver i should install...presently am using version v2.9.248315 ,which is throwing error "You are using unsupported command line flag".

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to selenium-user...@googlegroups.com.
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/8f5051c1-4eb9-4fbf-883d-ec76c214fd74%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to a topic in the Google Groups "Selenium Users" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/selenium-users/7S2VorDyKnc/unsubscribe.
To unsubscribe from this group and all its topics, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/94c1fc93-559c-456d-b9e8-35367b92d933%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.



--
Thanks & Regards,
Veena.K
 


--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/CACLwNoXqbnk3LpRF7%3D1wCPztbk1PRkYA4ZTGHzKgyeOzaYrq3Q%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.